Bug 1544907 - [abrt] gnome-abrt: on_gac_open_directory_activate(): views.py:1054:on_gac_open_directory_activate:TypeError: Argument 1 does not allow None as a value
Summary: [abrt] gnome-abrt: on_gac_open_directory_activate(): views.py:1054:on_gac_ope...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matej Marušák
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cf057b71359d50b42a9c445f92e...
: 1591438 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-13 17:45 UTC by Tomas Tomecek
Modified: 2019-05-25 01:05 UTC (History)
5 users (show)

Fixed In Version: gnome-abrt-1.2.8-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-25 01:05:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (623 bytes, text/plain)
2018-02-13 17:45 UTC, Tomas Tomecek
no flags Details
File: cgroup (292 bytes, text/plain)
2018-02-13 17:45 UTC, Tomas Tomecek
no flags Details
File: cpuinfo (1.28 KB, text/plain)
2018-02-13 17:45 UTC, Tomas Tomecek
no flags Details
File: environ (3.12 KB, text/plain)
2018-02-13 17:45 UTC, Tomas Tomecek
no flags Details
File: mountinfo (3.84 KB, text/plain)
2018-02-13 17:45 UTC, Tomas Tomecek
no flags Details
File: namespaces (129 bytes, text/plain)
2018-02-13 17:46 UTC, Tomas Tomecek
no flags Details
File: open_fds (1.97 KB, text/plain)
2018-02-13 17:46 UTC, Tomas Tomecek
no flags Details

Description Tomas Tomecek 2018-02-13 17:45:46 UTC
Description of problem:
I right-clicked on a problem in the list.

Version-Release number of selected component:
gnome-abrt-1.2.6-2.fc28

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /bin/gnome-abrt -p /var/spool/abrt/ccpp-2018-02-13-18:38:26.973638-23496
crash_function: on_gac_open_directory_activate
exception_type: TypeError
executable:     /bin/gnome-abrt
kernel:         4.14.14-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
views.py:1054:on_gac_open_directory_activate:TypeError: Argument 1 does not allow None as a value

Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/gnome_abrt/views.py", line 1054, in on_gac_open_directory_activate
    'file://' + selection[0].problem_id, None)
TypeError: Argument 1 does not allow None as a value

Local variables in innermost frame:
selection: [<gnome_abrt.problems.Problem object at 0x7f113cbe94e0>]
action: <Gtk.Action object at 0x7f113ecd6bd0 (GtkAction at 0x5566dec61a70)>
self: <views.OopsWindow object at 0x7f113ecb93a8 (gnome_abrt+views+OopsWindow at 0x5566debde2b0)>

Comment 1 Tomas Tomecek 2018-02-13 17:45:53 UTC
Created attachment 1395579 [details]
File: backtrace

Comment 2 Tomas Tomecek 2018-02-13 17:45:54 UTC
Created attachment 1395580 [details]
File: cgroup

Comment 3 Tomas Tomecek 2018-02-13 17:45:56 UTC
Created attachment 1395581 [details]
File: cpuinfo

Comment 4 Tomas Tomecek 2018-02-13 17:45:58 UTC
Created attachment 1395582 [details]
File: environ

Comment 5 Tomas Tomecek 2018-02-13 17:45:59 UTC
Created attachment 1395583 [details]
File: mountinfo

Comment 6 Tomas Tomecek 2018-02-13 17:46:01 UTC
Created attachment 1395584 [details]
File: namespaces

Comment 7 Tomas Tomecek 2018-02-13 17:46:03 UTC
Created attachment 1395585 [details]
File: open_fds

Comment 8 Fedora End Of Life 2018-02-20 15:23:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 9 Matej Marušák 2019-01-17 12:39:42 UTC
Reproducible by:
1. issue crash (will_abort)
2. issue the same crash and open gnome-abrt immediatelly (will_abort || gnome-abrt)
3. Right click the top most problem and select 'Open problems data directory'

Upstream PR https://github.com/abrt/gnome-abrt/pull/205

Comment 10 Matej Marušák 2019-01-17 12:49:45 UTC
*** Bug 1591438 has been marked as a duplicate of this bug. ***

Comment 11 Ben Cotton 2019-05-02 19:59:37 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora Update System 2019-05-22 21:53:22 UTC
gnome-abrt-1.2.8-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0106d56bdb

Comment 13 Fedora Update System 2019-05-23 18:58:50 UTC
gnome-abrt-1.2.8-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0106d56bdb

Comment 14 Fedora Update System 2019-05-25 01:05:18 UTC
gnome-abrt-1.2.8-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.